# Deprecation
Because the development of Payment halted for Drupal 8 the Drupal 8 version of Mollie Payment will be deprecated in the near future in favor of [Mollie](https://www.drupal.org/project/mollie).

# Contents of this file
 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers

# Introduction
This module provides [Mollie](https://www.mollie.com/en/) integration for the
[Payment](https://www.drupal.org/project/payment) platform. Mollie is a payment service provider dedicated to supporting
Drupal.

With this module enabled site owner can enable customers (more general visitors) to perform payments to the site owners
[Mollie account](https://www.mollie.com/dashboard/signup/958337?lang=en). Depending on this
[Mollie account](https://www.mollie.com/dashboard/signup/958337?lang=en) customers can pay through e.g. iDEAL,
Mister Cash, Creditcard, PayPal (see complete list: https://www.mollie.com/en/payments).

You will need a [Mollie account](https://www.mollie.com/dashboard/signup/958337?lang=en) to use this module.

## More information
 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/mollie_payment
 * To submit bug reports and feature suggestions, or to track changes:
   https://www.drupal.org/project/issues/2006918

# Requirements
This module requires the following modules:
 * Payment (https://www.drupal.org/project/payment)
 
This module requires the following 3th party libraries:
 * Mollie API client for PHP (https://github.com/mollie/mollie-api-php)
 
You should have an approved [Mollie account](https://www.mollie.com/dashboard/signup/958337?lang=en) to be able
to use this module.

# Installation
 * In Drupal 8 dependencies (including Drupal contrib modules) should be managed using Composer
   (see https://www.drupal.org/node/2718229)
 * Install as you would normally install a contributed drupal module. See:
   https://www.drupal.org/docs/8/extending-drupal-8/installing-modules
   for further information.

# Configuration
In the Drupal 8 version of Mollie Payment profiles are separated from payment methods.

## Create a Mollie profile
To create a Mollie payment method a Mollie profile is need.
 1. Go to admin/config/services/payment/mollie/profiles
 2. Click on the Add Mollie profile button
 3. Fill in a label and an API token
 4. Click the Save button

## Create a Mollie payment method
Once a Mollie profile exists a payment method for Mollie can be created in the
configuration of the Payment platform.
 1. Go to admin/config/services/payment/method
 2. Click on Add payment method configuration button
 3. Click on Mollie in the list of available payment method types
 4. Fill in a label and select a Mollie profile
 5. Click the Save button

# Maintainers
Current maintainers:
 * Rico van de Vin ([ricovandevin](https://www.drupal.org/u/ricovandevin))

## Support
This project has been sponsored by:
 * **Finlet**
 
   Finlet provides Drupal services for Drupal shops.<br />
   Visit https://www.finlet.eu for more information.
 * **Mollie**
 
   Visit https://www.mollie.com/en/ for more information.